## pydroid-ipcam 2.0.0

=== requirements.txt ===
aiohttp==3.8.1

=== debian/changelog ===
pydroid-ipcam (2.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 17 Nov 2024 14:35:32 +0100

pydroid-ipcam (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1087561)

 -- Edward Betts <edward@4angle.com>  Fri, 15 Nov 2024 11:01:49 +0100

=== debian/control ===
Source: pydroid-ipcam
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/pydroid-ipcam
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pydroid-ipcam
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pydroid-ipcam.git

Package: python3-pydroid-ipcam
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for interacting with Android's IP Webcam application
 This library provides an interface for connecting with the Android IP Webcam
 application. It allows users to transform their Android devices into network
 cameras, making it possible to stream video over a local network. The library
 retrieves video and allows access to various sensor data from the Android
 device through a Wi-Fi connection. This integration is particularly useful for
 applications that require multimedia streaming or remote monitoring
 capabilities, utilizing the device's camera and other sensors in a flexible
 manner.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pydroid-ipcam
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pydroid_ipcam.egg-info/


override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pydroid-ipcam-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/pydroid-ipcam/tags .*/v?(\d\S+)\.tar\.gz

## pydroid-ipcam 3.0.0

=== requirements.txt ===
aiohttp==3.11.14

=== debian/changelog ===
pydroid-ipcam (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 02 Apr 2025 08:13:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/home-assistant-libs/pydroid-ipcam
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pydroid-ipcam
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pydroid-ipcam.git

=== debian/watch ===
version=4
https://github.com/home-assistant-libs/pydroid-ipcam/tags .*/v?(\d\S+)\.tar\.gz
